Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2012-0035

CVE information

Published

10 years ago

Last Modified

3 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Untrusted search path vulnerability in EDE in CEDET before 1.0.1, as used in GNU Emacs before 23.4 and other products, allows local users to gain privileges via a crafted Lisp expression in a Project.ede file in the directory, or a parent directory, of an opened file..

CVSSv2.0 Score

Severity
High
Base Score
9.3/10
Exploit Score
8.6/10
Access Vector
Network
Access Complexity
Medium
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:gnu:emacs:22.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eric_m_ludlam:cedet:1.0:beta1:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:21.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:21.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eric_m_ludlam:cedet:1.0:pre2:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:20.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eric_m_ludlam:cedet:1.0:beta2:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eric_m_ludlam:cedet:1.0:pre3:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:20.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eric_m_ludlam:cedet:1.0:pre4:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:20.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:23.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eric_m_ludlam:cedet:1.0:pre7:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eric_m_ludlam:cedet:1.0:pre6:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:21:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:21.2.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:22.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eric_m_ludlam:cedet:1.0:beta3:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:20.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:21.3.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:21.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:20.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:20.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:20.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:21.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:23.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:23.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:20.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:emacs:22.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eric_m_ludlam:cedet:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:eric_m_ludlam:cedet:1.0:pre1:*:*:*:*:*:*
  Yes
- -